import type { SearchkitTransporter } from "@searchkit/sdk";
import { SearchRequest, SearchResponse, EngineRouteFn } from "../types";
export declare class EngineTransporter implements SearchkitTransporter {
    private host;
    private engineName;
    private apiKey;
    private getRoute;
    constructor(host: string, engineName: string, apiKey: string, getRoute?: EngineRouteFn);
    performRequest(requestBody: SearchRequest): Promise<SearchResponse>;
}
