import type { QueryConfig, RequestState, ResponseState } from "@elastic/search-ui";
import { EngineRouteFn } from "../../types";
interface SearchHandlerConfiguration {
    state: RequestState;
    queryConfig: QueryConfig;
    host: string;
    engineName: string;
    apiKey: string;
    engineRouteFn?: EngineRouteFn;
}
export default function handleRequest(configuration: SearchHandlerConfiguration): Promise<ResponseState>;
export {};
